package com.ashokit.transactionmgmt.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.ashokit.transactionmgmt.dao.AuditDao;
import com.ashokit.transactionmgmt.model.Audit;

@Service
public class AuditService {
	
	@Autowired
	private AuditDao auditDao;
	
	
	@Transactional(propagation = Propagation.REQUIRES_NEW)
	// Here REQUIRES_NEW==> Will create a new transactional blok
	//Scope starts during execution and scope end after auditservice returned object
	public Audit saveAudit(Audit auditObj) {
		return auditDao.save(auditObj);
	}

}
